## metkit 1.15.3

=== CMakeLists.txt ===
# (C) Copyright 2011- ECMWF.
#
# This software is licensed under the terms of the Apache Licence Version 2.0
# which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
# In applying this licence, ECMWF does not waive the privileges and immunities
# granted to it by virtue of its status as an intergovernmental organisation nor
# does it submit to any jurisdiction.

########################################################################################################################

cmake_minimum_required( VERSION 3.18 FATAL_ERROR )

find_package( ecbuild 3.12 REQUIRED HINTS ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/../ecbuild)

project( metkit LANGUAGES CXX C )

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

########################################################################################################################
### dependencies and options

if(NOT METKIT_CONFIGS_BRANCH)
    set(METKIT_CONFIGS_BRANCH chk)
endif()

ecbuild_add_option( FEATURE BUILD_TOOLS
                    DEFAULT ON
                    DESCRIPTION "Build the command line tools" )

ecbuild_add_option( FEATURE EXPERIMENTAL
                    DEFAULT OFF
                    DESCRIPTION "Experimental features" )
# GRIB support

ecbuild_add_option( FEATURE GRIB
                    DEFAULT ON
                    DESCRIPTION "Add support for GRIB format"
                    REQUIRED_PACKAGES "NAME eccodes VERSION 2.27" )

# BUFR support

ecbuild_add_option( FEATURE BUFR
                    DEFAULT ON
                    DESCRIPTION "Add support for BUFR format"
                    REQUIRED_PACKAGES "NAME eccodes VERSION 2.27" )

# netcdf support

ecbuild_add_option( FEATURE NETCDF
  DEFAULT ON
  DESCRIPTION "Support for NetCDF data"
  REQUIRED_PACKAGES NetCDF
)

# ODB support

ecbuild_add_option( FEATURE ODB
                    DEFAULT ON
                    DESCRIPTION "Add support for ODB data"
                    REQUIRED_PACKAGES "NAME odc VERSION 1.0" )

# METKIT config files support

ecbuild_add_option( FEATURE METKIT_CONFIG
                    DEFAULT ON
                    DESCRIPTION "Install metkit configuration files" )

# Temporary
ecbuild_add_option( FEATURE FAIL_ON_CCSDS
                    DESCRIPTION "Fail on CCSDS"
                    DEFAULT OFF	 )
# eckit

set( PERSISTENT_NAMESPACE "eckit" CACHE INTERNAL "" ) # needed for generating .b files for persistent support

ecbuild_find_package( NAME eckit  VERSION  1.32 REQUIRED )

############################################################################################
# sources

include(cmake/compiler_warnings.cmake) # optionally handle compiler specific warnings

add_subdirectory( src )
add_subdirectory( share )
add_subdirectory( tests )

############################################################################################
# finalize

ecbuild_pkgconfig( NAME metkit
                   DESCRIPTION "ECMWF Meteorological toolkit"
                   LIBRARIES metkit )

ecbuild_install_project( NAME ${PROJECT_NAME} )

ecbuild_print_summary()

=== bamboo/CMakeLists.txt ===
file( GLOB_RECURSE bamboo_files RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} "*" )

ecbuild_add_resources(  TARGET ${PROJECT_NAME}_bamboo
						SOURCES_DONT_PACK ${bamboo_files} )

=== src/CMakeLists.txt ===
add_subdirectory( metkit )
add_subdirectory( tools )

if( HAVE_EXPERIMENTAL )
    add_subdirectory( experimental )
endif()

=== tests/CMakeLists.txt ===
# (C) Copyright 1996- ECMWF.
#
# This software is licensed under the terms of the Apache Licence Version 2.0
# which can be obtained at http://www.apache.org/licenses/LICENSE-2.0.
# In applying this licence, ECMWF does not waive the privileges and immunities
# granted to it by virtue of its status as an intergovernmental organisation
# nor does it submit to any jurisdiction.

list(APPEND metkit_env "METKIT_HOME=${CMAKE_BINARY_DIR}")

if( DEFINED ECCODES_DEFINITION_PATH )
  list(APPEND metkit_env "ECCODES_DEFINITION_PATH=${ECCODES_DEFINITION_PATH}")
elseif( IS_DIRECTORY "${CMAKE_BINARY_DIR}/share/eccodes/definitions" )
  list(APPEND metkit_env "ECCODES_DEFINITION_PATH=${CMAKE_BINARY_DIR}/share/eccodes/definitions")
endif()


ecbuild_get_test_multidata( TARGET grib_get_data
                            DIRNAME grib-api/test-data/data
                            NAMES latlon.grib
                                  synthetic_2msgs.grib )

ecbuild_get_test_multidata( TARGET metkit_get_odb_data
                            NAMES multiodb.odb
                                  multiodb2.odb )

add_custom_target(soft_link_expand_test_data ALL
                  COMMAND ${CMAKE_COMMAND} -E create_symlink "${CMAKE_CURRENT_SOURCE_DIR}/expand" "${CMAKE_CURRENT_BINARY_DIR}/expand")

ecbuild_add_test( TARGET        metkit_test_multihandle
                  CONDITION     HAVE_GRIB
                  INCLUDES      "${ECCODES_INCLUDE_DIRS}"
                  SOURCES       test_multihandle.cc
                  LIBS          metkit
                  NO_AS_NEEDED
                  TEST_DEPENDS  grib_get_data
                  ENVIRONMENT   "${metkit_env}"
)

ecbuild_add_test( TARGET      "metkit_test_codes_decoder"
                  CONDITION   HAVE_GRIB OR HAVE_BUFR
                  SOURCES     "test_codes_decoder.cc"
                  INCLUDES    "${ECKIT_INCLUDE_DIRS}" "${ECCODES_INCLUDE_DIR}"
                  LIBS        metkit
                  NO_AS_NEEDED
                  ENVIRONMENT "${metkit_env}"
)

ecbuild_add_test( TARGET        metkit_test_odbsplitter
                  CONDITION     HAVE_ODB
                  SOURCES       test_odbsplitter.cc
                  INCLUDES      "${ECKIT_INCLUDE_DIRS}"
                  TEST_DEPENDS  metkit_get_odb_data
                  NO_AS_NEEDED
                  LIBS          metkit )

ecbuild_add_test( TARGET        metkit_test_gribhandle
                  CONDITION     HAVE_GRIB
                  SOURCES       test_gribhandle.cc
                  INCLUDES      "${ECKIT_INCLUDE_DIRS}" "${ECCODES_INCLUDE_DIR}"
                  LIBS          metkit
                  TEST_DEPENDS  grib_get_data
                  NO_AS_NEEDED
                  ENVIRONMENT   "${metkit_env}")

foreach( test 
        c_api
        codes_api
        context
        date
        expand
        filter
        hypercube
        integer_range
        matcher
        language
        obstype
        param_axis
        request
        step
        steprange_axis
        time
        type_levelist
        typesfactory )
    ecbuild_add_test( TARGET       "metkit_test_${test}"
                      SOURCES      "test_${test}.cc"
                      INCLUDES     "${ECKIT_INCLUDE_DIRS}"
                      ENVIRONMENT  "${metkit_env}"
                      NO_AS_NEEDED
                      LIBS         metkit)
endforeach()

# Compile C test
ecbuild_add_test( TARGET        metkit_test_c_compiled
                  SOURCES       test_c_api.c
                  INCLUDES      "${ECKIT_INCLUDE_DIRS}"
                  LIBS          metkit
                  NO_AS_NEEDED
                  ENVIRONMENT   "${metkit_env}")

# if ( HAVE_NETCDF )
#    add_subdirectory(netcdf)
# endif()

add_subdirectory(regressions)
add_subdirectory(marsgen)

=== share/metkit/CMakeLists.txt ===
list( APPEND files language.yaml obstype.yaml paramids.yaml params.yaml params-static.yaml param-matching.yaml chemids.yaml bufr-subtypes.yaml axis.yaml shortname-context.yaml )

foreach( _file ${files} )

    configure_file( ${_file} ${CMAKE_BINARY_DIR}/share/metkit/${_file} COPYONLY )

    if( HAVE_METKIT_CONFIG )
        install( FILES  ${CMAKE_BINARY_DIR}/share/metkit/${_file}
                DESTINATION "share/metkit"
                PERMISSIONS OWNER_WRITE OWNER_READ GROUP_READ WORLD_READ )
    endif()

endforeach()

add_subdirectory( odb )

=== src/metkit/CMakeLists.txt ===
### config headers

ecbuild_generate_config_headers( DESTINATION ${INSTALL_INCLUDE_DIR}/metkit )

configure_file( metkit_config.h.in    metkit_config.h )
configure_file( metkit_version.h.in   metkit_version.h )

install(FILES
            ${CMAKE_CURRENT_BINARY_DIR}/metkit_config.h
            ${CMAKE_CURRENT_BINARY_DIR}/metkit_version.h
        DESTINATION
            ${INSTALL_INCLUDE_DIR}/metkit )

### metkit sources

list( APPEND metkit_srcs
    metkit_version.c
    config/LibMetkit.cc
    config/LibMetkit.h
    mars/BaseProtocol.cc
    mars/BaseProtocol.h
    mars/ClientTask.cc
    mars/ClientTask.h
    mars/DHSProtocol.cc
    mars/DHSProtocol.h
    mars/Matcher.cc
    mars/Matcher.h
    mars/MarsExpandContext.cc
    mars/MarsExpandContext.h
    mars/MarsExpansion.cc
    mars/MarsExpansion.h
    mars/MarsExpension.h
    mars/MarsHandle.cc
    mars/MarsHandle.h
    mars/MarsLanguage.cc
    mars/MarsLanguage.h
    mars/MarsLocation.cc
    mars/MarsLocation.h
    mars/MarsParsedRequest.cc
    mars/MarsParsedRequest.h
    mars/MarsParser.cc
    mars/MarsParser.h
    mars/MarsParserContext.cc
    mars/MarsParserContext.h
    mars/MarsRequest.cc
    mars/MarsRequest.h
    mars/MarsRequestHandle.cc
    mars/MarsRequestHandle.h
    mars/Parameter.cc
    mars/Parameter.h
    mars/ParamID.cc
    mars/ParamID.h
    mars/Quantile.cc
    mars/Quantile.h
    mars/RequestEnvironment.cc
    mars/RequestEnvironment.h
    mars/StepRangeNormalise.h
    mars/Type.cc
    mars/Type.h
    mars/TypeAny.cc
    mars/TypeAny.h
    mars/TypeDate.cc
    mars/TypeDate.h
    mars/TypeEnum.cc
    mars/TypeEnum.h
    mars/TypeExpver.cc
    mars/TypeExpver.h
    mars/TypeFloat.cc
    mars/TypeFloat.h
    mars/TypeInteger.cc
    mars/TypeInteger.h
    mars/TypeLowercase.cc
    mars/TypeLowercase.h
    mars/TypeMixed.cc
    mars/TypeMixed.h
    mars/TypeParam.cc
    mars/TypeParam.h
    mars/TypeRange.cc
    mars/TypeRange.h
    mars/TypeRegex.cc
    mars/TypeRegex.h
    mars/TypesFactory.cc
    mars/TypesFactory.h
    mars/TypeTime.cc
    mars/TypeTime.h
    mars/TypeToByList.h
    mars/TypeToByListQuantile.cc
    mars/TypeToByListQuantile.h
    tool/MetkitTool.cc
    tool/MetkitTool.h
    fields/FieldIndex.cc
    fields/FieldIndex.h
    fields/FieldIndexList.cc
    fields/FieldIndexList.h
    fields/SimpleFieldIndex.cc
    fields/SimpleFieldIndex.h
    hypercube/HyperCube.cc
    hypercube/HyperCube.h
    hypercube/HyperCubePayloaded.h
    api/metkit_c.cc
    api/metkit_c.h
)

list( APPEND metkit_persistent_srcs
    mars/Param.cc
    mars/Param.h
    mars/Param
    mars/StepRange.cc
    mars/StepRange.h
    mars/StepRange
)
list( APPEND metkit_srcs ${metkit_persistent_srcs} )

if ( HAVE_GRIB )

    list( APPEND metkit_srcs
        pointdb/bits.h
        pointdb/DataSource.cc
        pointdb/DataSource.h
        pointdb/FieldIndexer.cc
        pointdb/FieldIndexer.h
        pointdb/GribDataSource.cc
        pointdb/GribDataSource.h
        pointdb/GribFieldInfo.cc
        pointdb/GribFieldInfo.h
        pointdb/GribHandleDataSource.cc
        pointdb/GribHandleDataSource.h
        pointdb/masks.h
        pointdb/PointIndex.cc
        pointdb/PointIndex.h
        codes/CodesDecoder.h
        codes/BUFRDecoder.cc
        codes/BUFRDecoder.h
        codes/GRIBDecoder.cc
        codes/GRIBDecoder.h
        codes/CodesContent.cc
        codes/CodesContent.h
        codes/BufrContent.cc
        codes/BufrContent.h
        codes/UserDataContent.cc
        codes/UserDataContent.h
        codes/DataContent.cc
        codes/DataContent.h
        codes/MallocCodesContent.cc
        codes/MallocCodesContent.h
        codes/CodesSplitter.cc
        codes/CodesSplitter.h
        codes/GribAccessor.cc
        codes/GribAccessor.h
        codes/GribHandle.cc
        codes/GribHandle.h
        codes/GribIterator.cc
        codes/GribIterator.h
        codes/CodesHandleDeleter.h

        codes/api/CodesAPI.h
        codes/api/CodesAPI.cc
        codes/api/CodesTypes.h
        codes/api/CodesTypes.cc
        codes/api/KeyIterator.h
        codes/api/KeyIterator.cc
        codes/api/GeoIterator.h
    )

    if( NOT eccodes_HAVE_GEOGRAPHY OR NOT eccodes_HAVE_ECKIT_GEO )
        list( APPEND metkit_srcs
            codes/LibEccodes.cc
            codes/LibEccodes.h
        )
    endif()

    set( grib_libs eccodes )

endif ()

if ( HAVE_ODB )

    list( APPEND metkit_srcs
            odb/IdMapper.cc
            odb/IdMapper.h
            odb/OdbToRequest.cc
            odb/OdbToRequest.h
            odb/OdbMetadataDecoder.cc
            odb/OdbMetadataDecoder.h
            odb/OdbDecoder.cc
            odb/OdbContent.cc
            odb/OdbContent.h
            odb/OdbDecoder.h
            odb/OdbSplitter.cc
            odb/OdbSplitter.h
        )
    set( odc_libs odccore )
endif()

ecbuild_add_library(

    TARGET metkit

    INSTALL_HEADERS LISTED

    HEADER_DESTINATION
        ${INSTALL_INCLUDE_DIR}/metkit

    PERSISTENT
        ${metkit_persistent_srcs}

    SOURCES
        ${metkit_srcs}

    PUBLIC_INCLUDES
       $<BUILD_INTERFACE:${PROJECT_BINARY_DIR}/src>
       $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/src>
       $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}> # for metkit_version.h

    PRIVATE_LIBS
        "${odc_libs}"

    PUBLIC_LIBS
        eckit
        eckit_option
        ${grib_libs}
)

=== tests/marsgen/CMakeLists.txt ===

list( APPEND marsgen_tests
    simple
    compare
    obs
    legacy)


foreach( _test ${marsgen_tests} )

    configure_file( metkit_marsgen_${_test}.sh.in metkit_marsgen_${_test}.sh @ONLY )

    ecbuild_add_test(
        TYPE       SCRIPT
        CONDITION  HAVE_BUILD_TOOLS
        COMMAND    metkit_marsgen_${_test}.sh )

endforeach()

=== tests/regressions/CMakeLists.txt ===
if (HAVE_BUILD_TOOLS) # test scripts use the metkit tools
    add_subdirectory(METK-89)
    add_subdirectory(METK-103)
endif()

=== share/metkit/odb/CMakeLists.txt ===
list( APPEND files_odb marsrequest.yaml class.table type.table stream.table group.txt )

foreach( _file ${files_odb} )

    configure_file( ${_file} ${CMAKE_BINARY_DIR}/share/metkit/odb/${_file} COPYONLY )

    if( HAVE_METKIT_CONFIG )
        install( FILES  ${CMAKE_BINARY_DIR}/share/metkit/odb/${_file}
                DESTINATION "share/metkit/odb"
                PERMISSIONS OWNER_WRITE OWNER_READ GROUP_READ WORLD_READ )
    endif()
    
endforeach()

=== tests/regressions/METK-103/CMakeLists.txt ===

if (HAVE_BUFR AND HAVE_BUILD_TOOLS)
    ecbuild_configure_file( METK-103.sh.in METK-103.sh @ONLY )

    ecbuild_add_test(
        TYPE      SCRIPT
        COMMAND   METK-103.sh )
endif()

=== tests/regressions/METK-89/CMakeLists.txt ===

if ( HAVE_GRIB AND HAVE_BUILD_TOOLS )
    ecbuild_configure_file( METK-89.sh.in METK-89.sh @ONLY )

    ecbuild_add_test(
        TYPE     SCRIPT
        COMMAND  METK-89.sh )
endif()

=== debian/changelog ===
metkit (1.15.3-2) unstable; urgency=medium

  * Rebuild against eckit 1.32.3

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 04 Nov 2025 10:21:12 +0000

metkit (1.15.3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 19 Oct 2025 10:22:46 +0100

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)
DESTDIR=$(CURDIR)/debian/tmp
CMAKEDIR:=$(DESTDIR)/$(LIBDIR)/cmake/metkit

# The magic debhelper  rule
%:
	dh $@ --buildsystem=ecbuild

CMAKE_CFLAGS:= -DENABLE_RPATH=OFF \
		-DENABLE_ODB=$(DO_ODB) \
		-DENABLE_RELATIVE_RPATHS=OFF

override_dh_auto_configure:
	dh_auto_configure -- \
                      ${BUILD_FLAGS} 

override_dh_auto_install:
	dh_auto_install
	sed -i -e 's%$${_IMPORT_PREFIX}/include%/usr/include/${DEB_HOST_MULTIARCH}%g'   $(CMAKEDIR)/metkit-targets.cmake

override_dh_auto_test:
	echo "Metkit fetches data from the internet, and hence the tests can't be run contained at build-time"

=== debian/watch ===
version=4
https://github.com/ecmwf/metkit/tags .*/v?(\d.*)@ARCHIVE_EXT@

## metkit 1.15.5

=== debian/changelog ===
metkit (1.15.5-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 04 Dec 2025 08:27:20 +0000

## metkit 1.15.6

=== debian/changelog ===
metkit (1.15.6-1) unstable; urgency=medium

  * New upstream release
  * Add d/gbp.conf

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 13 Dec 2025 17:23:58 +0000

## metkit 1.15.7

=== debian/changelog ===
metkit (1.15.7-1) unstable; urgency=medium

  * New upstream release
  * Include d/salsa-ci.yml

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 17 Dec 2025 08:41:43 +0000

## metkit 1.15.8

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -22,7 +22,8 @@
 
 ecbuild_get_test_multidata( TARGET metkit_get_odb_data
                             NAMES multiodb.odb
-                                  multiodb2.odb )
+                                  multiodb2.odb
+                            NOCHECK )
 
 add_custom_target(soft_link_expand_test_data ALL
                   COMMAND ${CMAKE_COMMAND} -E create_symlink "${CMAKE_CURRENT_SOURCE_DIR}/expand" "${CMAKE_CURRENT_BINARY_DIR}/expand")

=== debian/changelog ===
metkit (1.15.8-1) unstable; urgency=medium

  * Drop Priority: optional from source in d/control per new policy
  * Standards-Version: 4.7.3
  * New upstream release
  * compare-mars-requests.py renamed compare-mars-requests

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 12 Jan 2026 08:20:03 +0000

## metkit 1.16.0

=== src/metkit/CMakeLists.txt ===
--- 
+++ 
@@ -25,7 +25,6 @@
     mars/DHSProtocol.h
     mars/Matcher.cc
     mars/Matcher.h
-    mars/MarsExpandContext.cc
     mars/MarsExpandContext.h
     mars/MarsExpansion.cc
     mars/MarsExpansion.h
@@ -40,8 +39,6 @@
     mars/MarsParsedRequest.h
     mars/MarsParser.cc
     mars/MarsParser.h
-    mars/MarsParserContext.cc
-    mars/MarsParserContext.h
     mars/MarsRequest.cc
     mars/MarsRequest.h
     mars/MarsRequestHandle.cc
@@ -128,7 +125,6 @@
         pointdb/masks.h
         pointdb/PointIndex.cc
         pointdb/PointIndex.h
-        codes/CodesDecoder.h
         codes/BUFRDecoder.cc
         codes/BUFRDecoder.h
         codes/GRIBDecoder.cc
@@ -137,10 +133,6 @@
         codes/CodesContent.h
         codes/BufrContent.cc
         codes/BufrContent.h
-        codes/UserDataContent.cc
-        codes/UserDataContent.h
-        codes/DataContent.cc
-        codes/DataContent.h
         codes/MallocCodesContent.cc
         codes/MallocCodesContent.h
         codes/CodesSplitter.cc

=== debian/changelog ===
metkit (1.16.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 17 Jan 2026 15:45:18 +0000

## metkit 1.16.2

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -75,6 +75,8 @@
         integer_range
         matcher
         language
+        mars_language
+        mars_language_strict
         obstype
         param_axis
         request

=== share/metkit/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-list( APPEND files language.yaml obstype.yaml paramids.yaml params.yaml params-static.yaml param-matching.yaml chemids.yaml bufr-subtypes.yaml axis.yaml shortname-context.yaml )
+list( APPEND files language.yaml modifiers.yaml reportype.yaml obstype.yaml paramids.yaml params.yaml params-static.yaml param-matching.yaml chemids.yaml bufr-subtypes.yaml axis.yaml shortname-context.yaml )
 
 foreach( _file ${files} )

=== debian/changelog ===
metkit (1.16.2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 19 Feb 2026 06:36:54 +0000

=== debian/control ===
Source: metkit
Section: utils
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat (=13),
 architecture-is-64-bit,
 dh-sequence-python3,
 ecbuild (>= 3.7.2-1~),
 libeckit-dev (>= 1.31.4-1~),
 libodc-dev,
 odc (>= 1.6.1-1~),
 libeccodes-dev,
 libeccodes-tools,
 libopenjp2-7-dev
Standards-Version: 4.7.3
Homepage: https://github.com/ecmwf/metkit
Vcs-Browser: https://salsa.debian.org/science-team/metkit
Vcs-Git: https://salsa.debian.org/science-team/metkit.git -b debian/latest

Package: libmetkit0d
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}, libmetkit-data
Description: Library for Meteorology tookit, implementing MARS language
 MetKit is a toolkit from ECMWF for manipulating and describing
 meteorological objects, implementing the MARS language and associated
 processing and semantics.
 MARS is the Meteorological Archive Retrieval System from ECMWF.

Package: libmetkit-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Data used by the ECMWF Metkit Library
 MetKit is a toolkit from ECMWF for manipulating and describing
 meteorological objects, implementing the MARS language and associated
 processing and semantics.
 .
 This package contains data used by Metkit

Package: libmetkit-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libmetkit0d (= ${binary:Version}),
  ${misc:Depends}, libeckit-dev,
  libodc-dev
Recommends: pkgconf
Description: Development files for the Metkit toolkit
 MetKit is a toolkit from ECMWF for manipulating and describing
 meteorological objects, implementing the MARS language and associated
 processing and semantics.
 .
 This package provides shared libraries and headers.

Package: libmetkit-utils
Multi-Arch: foreign
Architecture: any
Depends: libmetkit0d ( = ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Recommends: libmetkit-dev (= ${binary:Version})
Description: Utilities for the MetKit MARS access library
 MetKit is a toolkit from ECMWF for manipulating and describing
 meteorological objects, implementing the MARS language and associated
 processing and semantics.
 .
 This package contains the tool 'parse-mars-request'

=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,7 @@
 override_dh_auto_install:
 	dh_auto_install
 	sed -i -e 's%$${_IMPORT_PREFIX}/include%/usr/include/${DEB_HOST_MULTIARCH}%g'   $(CMAKEDIR)/metkit-targets.cmake
+	mv $(DESTDIR)/usr/bin/compare-mars-requests.py $(DESTDIR)/usr/bin/compare-mars-requests
 
 override_dh_auto_test:
 	echo "Metkit fetches data from the internet, and hence the tests can't be run contained at build-time"
